CustomersCustomers
List customer addresses
Lists a customer's saved addresses and identifies the current default.
Path Parameters
customerId*string
Identifier of the customer.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.ecomiq.pe/api/v1/customers/7204558912004326262/addresses" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "id": "7204558912004326262", "addressKey": "Andrea Ramos", "department": "Lima", "addressNumber": "Dpto. 501", "province": "Lima", "district": "Miraflores", "phone": "+51987654321", "cellPhone": "+51987654321", "addressLine": "Andrea Ramos", "reference": "Frente al parque Kennedy.", "countryIsoCode": "PE", "postalCode": "15074", "latitude": 1, "longitude": 1, "hasCoordinates": false, "isDefault": true }]